makeup|SDK makeup|SDK is a library based on visage|SDK face tracking used to configure and render virtual makeup.

Loading...
Searching...
No Matches
Instance Methods | Class Methods | Properties | List of all members
FinishTemplate Class Reference

`#import <FeatureTemplate.h>`

Inherits NSObject.

## Instance Methods
(NSMutableDictionary *) | - ToJSON
(NSString *) | - ToJSONString

## Class Methods
(FinishTemplate *) | + FromJSON:
(FinishTemplate *) | + FromJSONString:

## Properties
NSString * | name
double | transparency
PipeTemplate * | pipeline

## Detailed Description

Stores a definition of makeup finish. Each finish is a named PipeTemplate object which can be reused with any of the features. Contains code for serialization and deserialization of FinishTemplate instances from JSON format. Provides methods for setup of blending and filtering procedures and parameters for finishes.

## Method Documentation

## ◆ FromJSON:

+ (FinishTemplate *) FromJSON: |  | (NSDictionary *) | jsonDictionary |

Returns FinishTemplate object out of JSON dictionary.

Parameters

  jsonDictionary | JSON dictionary

Returns
  deserialized FinishTemplate object

## ◆ FromJSONString:

+ (FinishTemplate *) FromJSONString: |  | (NSString *) | JSON_data |

Returns FinishTemplate object out of JSON string.

Parameters

  JSON_data | JSON string

Returns
  deserialized FinishTemplate object

## ◆ ToJSON

- (NSMutableDictionary *) ToJSON |  |  |

Creates JSON representation out of this FinishTemplate object.

Returns
  JSON representation of this FinishTemplate returned as NSMutableDictionary

## ◆ ToJSONString

- (NSString *) ToJSONString |  |  |

Creates JSON string out of FinishTemplate object.

Parameters

  finishTemplate | FinishTemplate object

Returns
  JSON representation of this FinishTemplate returned as string

## Property Documentation

## ◆ name

- (NSString*) name
| read write nonatomic strong

Name of the finish.

## ◆ pipeline

- (PipeTemplate*) pipeline
| read write nonatomic strong

Rendering steps to use when rendering the finish.

## ◆ transparency

- (double) transparency
| read write nonatomic assign

Transparency of the finish.